exports.store = require('showtime/store').create('htmlTokens');

/**
 * @param {String} key
 * @param {Object} value
 */
exports.set = function(key, value) {
  exports.store[key] = value;
};

/**
 * @param {String} key
 * @return {Object}
 */
exports.get = function(key) {
  return exports.store[key];
};

exports.getOrSet = function(key, fn) {
    if (exports.store[key]) {
      return exports.get(key);
    } else {
      var value = fn();
      exports.set(key, value);
      try {
          value;
      } catch (err) {
          exports.delete(key);
      }      
      return value;
    }
};

exports.delete = function(key){
    var entry = exports.get(key);
    if (entry) {      
      exports.delete(key);
    }
};

exports.clear = function(){
    exports.store = {};
};
